import 'package:flutter/cupertino.dart';
import 'package:login_firebase/presentation/theme/data/LoginThemeData.dart';

class LoginTheme extends InheritedWidget {
  final LoginThemeData loginThemeData;

  static LoginThemeData? of(BuildContext context) {
    LoginTheme? loginTheme =
        context.dependOnInheritedWidgetOfExactType<LoginTheme>();
    if (loginTheme != null) {
      return loginTheme.loginThemeData;
    }
    return null;
  }

  const LoginTheme({
    required this.loginThemeData,
    required super.child,
    super.key,
  });

  @override
  bool updateShouldNotify(covariant InheritedWidget oldWidget) => false;
}
